Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 218657 - Ebuilds not using mirror:// for berlios projects
Summary: Ebuilds not using mirror:// for berlios projects
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Quality Assurance Team
URL:
Whiteboard:
Keywords: QAcanfix, Tracker
Depends on:
Blocks:
 
Reported: 2008-04-20 21:53 UTC by Gilles Dartiguelongue
Modified: 2015-01-25 22:36 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
berlios+herd.list (berlios+herd.list,2.24 KB, text/plain)
2008-04-20 21:55 UTC, Gilles Dartiguelongue
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gilles Dartiguelongue gentoo-dev 2008-04-20 21:53:47 UTC
Hello qa, I found out that a bunch of ebuilds are not using mirror:// like urls in SRC_URI and put up a list of offenders. Is this appropriate to massively CC herds and maintainers for this kind of problems ?
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-04-20 21:55:42 UTC
Created attachment 150464 [details]
berlios+herd.list

This list was generated with the following lines:

$ find /usr/portage/ -maxdepth 3 -type f -name "*.ebuild" -exec egrep -H --color "SRC_URI.*berlios" {} \; |egrep -v "mirror"|awk -F/ '{ print $4"/"$5 }' |sort|uniq > berlios-ebuild.list

$ for x in $(cat berlios-ebuild.list); do echo $(sed -n "/<herd>/,1p" /usr/portage/$x/metadata.xml | sed "s:</\?herd>::g;s:\n::g"):$x; done |sort -k1,2 -t\:

hence only herds and not maintainers appearing in the list, I can manually search for them if it's ok for the mass CC.
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-05-02 15:38:26 UTC
Hi herds, please proceed to fixing your SRC_URI. Thanks.
Comment 3 Alon Bar-Lev (RETIRED) gentoo-dev 2008-05-02 15:45:16 UTC
crypto done.
Comment 4 solar (RETIRED) gentoo-dev 2008-05-02 16:03:38 UTC
Don't need to spam the entire herd for 1 pkg. So
-embedded
+vapier 
for embedded:dev-embedded/bitbake
Comment 5 Samuli Suominen (RETIRED) gentoo-dev 2008-05-02 16:11:04 UTC
sound/graphics fixed
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2008-05-02 16:19:46 UTC
net-irc,net-p2p done, konversation is kde's and i can't do ngircd because its not available using the mirrors, only by ftp.
Comment 7 Luca Longinotti (RETIRED) gentoo-dev 2008-05-02 16:23:16 UTC
php fixed.
Best regards, chtekk.
Comment 8 Bernard Cafarelli gentoo-dev 2008-05-02 16:55:25 UTC
nx done, thanks
Comment 9 Denis Dupeyron (RETIRED) gentoo-dev 2008-05-02 18:16:29 UTC
(In reply to comment #4)
> Don't need to spam the entire herd for 1 pkg. So
> -embedded
> +vapier 
> for embedded:dev-embedded/bitbake

I just did bitbake, so vapier is off the CC list.

Denis.
Comment 10 Rob Cakebread (RETIRED) gentoo-dev 2008-05-02 18:45:13 UTC
Fixed python herd packages.
Comment 11 Rob Cakebread (RETIRED) gentoo-dev 2008-05-02 18:58:07 UTC
Fixed ruby herd packages.
Comment 12 Stefan Briesenick (RETIRED) gentoo-dev 2008-05-02 21:24:49 UTC
app-cdr/cuecue fixed.
Comment 13 Joerg Bornkessel gentoo-dev 2008-05-02 21:25:59 UTC
video:media-video/vdr2jpeg

done;
Comment 14 Samuli Suominen (RETIRED) gentoo-dev 2008-05-03 10:55:04 UTC
Nothing wrong with x11-apps/amlc, it's downloading a single source file,
http://amlc.berlios.de/src/amlc.cpp
Comment 15 Samuli Suominen (RETIRED) gentoo-dev 2008-05-04 08:05:17 UTC
did both tex and xfce herd pkgs.
Comment 16 Peter Volkov (RETIRED) gentoo-dev 2008-05-04 12:27:36 UTC
net-dialup, netmon, shell-tools done.

Gilles, btw next time you'll create same list, please, take into account that some projects, like star, do not use berlios mirrors to redistribute files, but they use ftp. That why star still have berlios in URI but no mirror there.
Comment 17 Samuli Suominen (RETIRED) gentoo-dev 2008-05-04 14:18:11 UTC
media-video/media-tv done
Comment 18 MATSUU Takuto (RETIRED) gentoo-dev 2008-05-04 15:07:08 UTC
cjk done
Comment 19 Samuli Suominen (RETIRED) gentoo-dev 2008-05-06 14:40:55 UTC
base-system done
Comment 20 FENOY Gérald (RETIRED) gentoo-dev 2008-05-06 16:54:22 UTC
sci-geosciences done
Comment 21 Jim Ramsay (lack) (RETIRED) gentoo-dev 2008-05-07 12:18:27 UTC
(In reply to comment #16)
> Gilles, btw next time you'll create same list, please, take into account that
> some projects, like star, do not use berlios mirrors to redistribute files, but
> they use ftp. That why star still have berlios in URI but no mirror there.
 
All my rox packages are in the same boat here.  FTP only, not berlios mirrors.
Comment 22 Mark Loeser (RETIRED) gentoo-dev 2008-05-12 01:24:35 UTC
cpp should be done.  It looks like libwrapiter is completely missing upstream (on berlios and on pioto.org, so we'll look at this and handle it separately).
Comment 23 Andreas Proschofsky (RETIRED) gentoo-dev 2008-05-29 12:36:38 UTC
openoffice-stuff done
Comment 24 Alin Năstac (RETIRED) gentoo-dev 2008-05-29 21:31:37 UTC
app-mobilephone/kmobiletools fixed.
Comment 25 Samuli Suominen (RETIRED) gentoo-dev 2008-06-06 21:16:35 UTC
media-optical stuff is fixed
Comment 26 Sven Wegener gentoo-dev 2008-06-20 21:24:02 UTC
net-irc
net-news
sys-apps/sdd

done
Comment 27 Thilo Bangert (RETIRED) (RETIRED) gentoo-dev 2008-10-13 19:01:00 UTC
fixed:
app-dicts/qvortaro (no-herd) maintainer-needed@gentoo.org
app-doc/dox (no-herd) maintainer-needed@gentoo.org
app-emulation/x48 (no-herd) maintainer-needed@gentoo.org
dev-libs/libsmtp (no-herd) maintainer-needed@gentoo.org

dev-util/jscalltree (no-herd) maintainer-needed@gentoo.org
ftp download.
Comment 28 Thilo Bangert (RETIRED) (RETIRED) gentoo-dev 2008-10-13 19:16:19 UTC
app-misc/graphlcd-base (no-herd) vdr@gentoo.org rbu@gentoo.org
app-office/rubrica (desktop-misc@gentoo.org) opfer@gentoo.org
dev-util/diffball (no-herd) zmedico@gentoo.org
kde-misc/kompose (kde@gentoo.org)
media-sound/scmpc (no-herd) angelos@gentoo.org
net-ftp/kasablanca (kde@gentoo.org)
net-misc/dhcpcd (base-system@gentoo.org)
net-misc/sipsak (voip@gentoo.org)
net-misc/smb4k (kde@gentoo.org)
net-wireless/at76c503a (mobile@gentoo.org)
net-wireless/b43-fwcutter (mobile@gentoo.org) josejx@gentoo.org
net-wireless/bcm43xx-fwcutter (mobile@gentoo.org) josejx@gentoo.org
net-www/xxv (no-herd) hd_brummy@gentoo.org
sci-visualization/qtiplot (sci@gentoo.org) cryos@gentoo.org
sys-apps/uhinv (no-herd) pvdabeel@gentoo.org
sys-fs/zfs-fuse (no-herd) trapni@gentoo.org
x11-misc/suxpanel (desktop-misc@gentoo.org)
x11-themes/liquid (kde@gentoo.org)

please point out false positives, when you find them. thanks...
Comment 29 Zac Medico gentoo-dev 2008-10-13 21:06:29 UTC
dev-util/diffball fixed
Comment 30 Sébastien Fabbro (RETIRED) gentoo-dev 2008-10-13 22:29:36 UTC
sci-visualization/qtiplot fixed
Comment 31 Christian Faulhammer (RETIRED) gentoo-dev 2008-10-13 23:21:52 UTC
app-office/rubrica fixed
Comment 32 Robert Buchholz (RETIRED) gentoo-dev 2008-10-14 13:32:00 UTC
(In reply to comment #28)
> app-misc/graphlcd-base (no-herd) vdr@gentoo.org rbu@gentoo.org

fixed.
Comment 33 Christoph Mende (RETIRED) gentoo-dev 2008-10-14 14:16:38 UTC
fixed scmpc
Comment 34 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2008-12-07 13:32:31 UTC
kde-misc/kompose
net-ftp/kasablanca
net-misc/smb4k
x11-themes/liquid

should all be fixed. Add us (kde) back if I forgot anything.
Comment 35 Samuli Suominen (RETIRED) gentoo-dev 2010-06-06 17:19:00 UTC
desktop-misc@ should be done: rubrica & suxpanel.
Comment 36 Chí-Thanh Christopher Nguyễn gentoo-dev 2011-07-24 20:58:36 UTC
net-misc/sipsak (voip@gentoo.org)
already done last year by ssuominen
Comment 37 Jeroen Roovers (RETIRED) gentoo-dev 2015-01-25 22:36:50 UTC
It's dead.